ata_devchk
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_devchk — PATA device presence detection

## Synopsis

`unsigned int ata_devchk (` | struct ata_port * | ap,
| unsigned int | device`)`;

## Arguments

`ap`

  ATA channel to examine

`device`

  Device to examine (starting at zero)

## Description

This technique was originally described in Hale Landis's ATADRVR (www.ata-atapi.com), and later found its way into the ATA/ATAPI spec.

Write a pattern to the ATA shadow registers, and if a device is present, it will respond by correctly storing and echoing back the ATA shadow register contents.

## LOCKING

caller.

Prev | Up | Next
ata_mode_string | Home | ata_read_native_max_address_ext